
QGIS Application - Bug report #10143

Map composer stop working correctly

2014-04-30 06:48 AM - Lucien Blandenier

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.2.0 Regression?: No

Operating System: Window7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18601

Description

After short time, the map composer stop to work correctly. It is not possible to select another element of the map composer (other map,

legend, scale, ...). Other problem, when exporting the map on image format (png), the second map doesn't export properly.

Associated revisions

Revision 6dd4346c - 2014-05-31 06:57 AM - Nyall Dawson

[composer] Fix calculation of mouse action for position for mouse handles (refs #10143, tentative fix)

Revision 85b8e107 - 2014-06-16 01:59 PM - Nyall Dawson

[composer] Ignore double clicks on mouse handle item (refs #10143)

History

#1 - 2014-05-03 09:53 AM - Antonio Locandro

I can confirm this, it becomes unresponsive (Using Windows 8.1 and QGIS 2.2), you can't select any of the map composer elements. I thought initially it

had to do with using the Pan tool, but it has happen several times

#2 - 2014-05-04 02:30 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please test QGIS master and check if it happens there too, then report back.

#3 - 2014-05-23 06:06 AM - Filip Mahieu

We do have that problem too. We only have it just after the scale has been changed in the composer (Using XP and Win7, QGis 2.2). Then nothing can be

edited anymore.. Several users here have the problem.

#4 - 2014-05-24 08:49 AM - Giovanni Manghi

Filip Mahieu wrote:
We do have that problem too. We only have it just after the scale has been changed in the composer (Using XP and Win7, QGis 2.2). Then nothing

can be edited anymore.. Several users here have the problem.

please test qgis master and report back if there is the same issue. If yes please attach a sample project where the issue shows.

#5 - 2014-05-26 05:16 AM - Filip Mahieu

- File TestVoorHubWiki.qgs added

In the master it does give the same problem. In Attach a qgis 2-project in which the problem is. After changing 1 or a few times the scale and touching

another item in the print composer, it is not possible anymore to touch another item.

#6 - 2014-05-26 05:19 AM - Giovanni Manghi

Filip Mahieu wrote:

In the master it does give the same problem. In Attach a qgis 2-project in which the problem is. After changing 1 or a few times the scale and

touching another item in the print composer, it is not possible anymore to touch another item.

please attach also the data, thanks!

#7 - 2014-05-26 05:42 AM - Giovanni Manghi

Filip Mahieu wrote:

In the master it does give the same problem. In Attach a qgis 2-project in which the problem is. After changing 1 or a few times the scale and

touching another item in the print composer, it is not possible anymore to touch another item.

without the data I cannot replicate the issue, but it would be needed to know what "changing 1 or a few times the scale" means exactly (exact steps).

Cheers.

#8 - 2014-05-26 06:05 AM - Filip Mahieu

Here you are. Zipped, inclusive the project (other name now).

#9 - 2014-05-26 06:12 AM - Filip Mahieu

- File Bosgroepproject_MOVTest.zip added

Second try, with just one datafile and Google Hybrid.

#10 - 2014-05-26 06:26 AM - Giovanni Manghi

- Assignee set to Nyall Dawson
cannot replicate the issue with the attached project/data (on linux/master). Will assign this to Nyall and see if he can spot the issue.

#11 - 2014-05-26 08:06 PM - Nyall Dawson

Hmmm... I can't reproduce this either. I suspect its a windows specific issue, but I still haven't been able to reproduce it on windows using the attached

data. Any chance you could post some more detailed steps to trigger it? I really want to track this bug down, but I'll need some assistance in doing so...

#12 - 2014-05-27 05:58 AM - Filip Mahieu

- File houtverkoop.zip added

- File FreezeLeft.PNG added

Here again another zip. All is placed in the same directory. 

Project, Print composers, TestA4STaand. Click on the map, change (right) 'Scale' to e.g. 9000; Select directly another element in the composer. Then

again another element, but this doesn't work. The first element is kept selected (see FreezeLeft.png). 

At the left side you can't select anything more. At the right you can do what you wish..

Hope you can reproduce..

#13 - 2014-05-27 07:18 AM - Tom Grundy

Hello, I am having what I believe is the same issue.  Let me know if I should open another bug report instead.

QGIS2.2

Windows Vista 32 Home Basic

After some actions in the composer that I haven't been able to figure out a pattern to, the canvas area becomes unresponsive to mouse clicks (of any

mouse button), but the toolbars and menu areas and even the canvas area scrollbars are still responsive to mouse clicks and function as expected.  The

mouse cursor in the canvas area moves normally, and the cursor icon changes as you change tools (pan, select, zoom, etc), you just can't do anything with

them.  The canvas does refresh when you toggle layer visibility in QGIS then move the mouse back in to the composer.  As far as I can tell, everything is

normal except the failure to respond to any mouse clicks in the canvas area.

The 'unresponsive-canvas-area' behavior is persistent after a refresh, after a close and reopen of the composer, and even after a close and reopen of

QGIS.

This behavior has happened many times, and each time I've stumbled across some action to make the canvas area responsive to mouse clicks again, but

I'm not sure of what did it.  I'll update if I can figure out the sequence of actions to un-stick it.

In general, my canvas is a large 48"x36" wall map, with a large map filling the canvas plus five insets, five scalebars, and a few rectangles.  The project has

55 layers, some in groups.  I wasn't able to determine any pattern or specific point in time when this started happening, so, I don't know if it's related to

project complexity or not.

I looked at issues 10028 and 9734, not sure if it's related.

Thanks

#14 - 2014-05-27 07:25 AM - Tom Grundy

Well, I >thought< it was persistent after QGIS exit and QGIS restart, but, now I can't duplicate that.  Will update if I can duplicate it again.  So at the

moment it is 'un-stuck'.  I will keep trying to track down a pattern and let you know.
#15 - 2014-05-27 08:14 AM - Giovanni Manghi

Filip Mahieu wrote:

Here again another zip. All is placed in the same directory. 

Project, Print composers, TestA4STaand. Click on the map, change (right) 'Scale' to e.g. 9000; Select directly another element in the composer.

Then again another element, but this doesn't work. The first element is kept selected (see FreezeLeft.png). 

At the left side you can't select anything more. At the right you can do what you wish..

Hope you can reproduce..

just to be sure we are all testing in similar conditions, can you please remove/disable all the 3rd party plugins, restart qgis and then test again? thanks!

#16 - 2014-05-27 08:22 AM - Tom Grundy

I get the same behavior using Filip's procedure:

- change scale of one of the insets

- then select a different map object

 <this is where it apparently gets stuck>

- then try any mouse action in the canvas area, notice it does not respond

#17 - 2014-05-27 08:33 AM - Tom Grundy

same behavior here with all plugins disabled.

Interesting: if the next action you do after changing scale is to select a different map item, then it will become unresponsive after selecting that different map

item.  If instead the next action you do after changing the scale is a pan (haven't tried other mouse tools at this step), everything remains responsive as

normal, i.e. you can then select and operate on other objects as normal.  In other words, if you insert a pan or such, right after the scale change, into the

sequence of steps that causes the freeze, then the freeze can be averted.  This has been 100% repeatable in the few minutes I've spent testing it.

Sorry, I will be offline for most of the rest of the day.  Still haven't found a pattern to getting it unstuck, other than restarting QGIS.  (Save Project still works,

so, I don't think there's any data loss)

Filip, I would be very very curious to hear if you have all the same behavior.  Good luck.

#18 - 2014-05-27 01:42 PM - Antonio Locandro

I had the same issue right now, in my case I was updating items in the Legend when it became unresponsive no matter what I did. Restarting the project

seem to clear the problem.

#19 - 2014-05-27 05:07 PM - Tom Grundy

I can verify that reopening the project (Project -> Open in QGIS) respawns the composer in 'responsive' mode as normal, then doing the same sequence

(scale then select) puts it back in 'unresponsive' mode.  However, once in unresponsive mode, it is still unresponsive after closing the composer window

(either Composer -> Quit or the red X to close the window) then restarting the composer from QGIS (Project -> Print Composers ->

<composer_in_question>).
#20 - 2014-05-27 11:53 PM - Filip Mahieu

I do confirm that Tom saids, panning the map (or also placing the map item in a different place) right after changing scale, does seem to keep the canvas in

responsive mode.

Uninstalling plugins (except openlayers) does not have effect.

I shall give this 'workaround' to my qgis-users here at the office and see if they have the same respons. Office will be closed for 4 days now..

Thanks Tom!

#21 - 2014-05-27 11:56 PM - Nyall Dawson

Thanks everyone for the detailed reports - I've been able to reproduce this now in 2.2 on Windows. Working on a fix for 2.4.

#22 - 2014-05-28 12:14 AM - Filip Mahieu

Thanks indeed for reporting same problem, and working on a fix Nyall!

Filip

#23 - 2014-05-30 09:59 PM - Nyall Dawson

I've just pushed a tentative fix for this issue - 6dd4346c48. Can everyone who's encountered this test with the next released nightly release and let me know

whether this change solves this for them?

#24 - 2014-06-01 09:42 AM - Tom Grundy

I'm a relative newbie and not familiar with the procedure to get the nightly release - is there a page describing how to do that?

#25 - 2014-06-01 09:56 AM - Jürgen Fischer

Tom Grundy wrote:

I'm a relative newbie and not familiar with the procedure to get the nightly release - is there a page describing how to do that?

http://www.qgis.org/en/site/forusers/alldownloads.html

#26 - 2014-06-01 01:16 PM - Tom Grundy

Ok thanks - in code revision ca6d4d9, 2.3.0-master, it is fixed as far as I can tell.

Do you know if this also addressed issues #10028 and #9734?

#27 - 2014-06-01 01:23 PM - Nyall Dawson

#9734 is unrelated but already fixed in master. #10028 sounds a lot like a duplicate of this bug so should also be fixed. Do you mind testing with that plugin
and reporting back? Thanks!

#28 - 2014-06-01 04:42 PM - Tom Grundy

will do, and will post updates on #10028 instead of here.

#29 - 2014-06-02 07:53 AM - Filip Mahieu

Seems ok for me. In QGis ca6d4d9, the weekly build.

#30 - 2014-06-21 03:10 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Files

TestVoorHubWiki.qgs 44.4 KB 2014-05-26 Filip Mahieu

Bosgroepproject_MOVTest.zip 47.5 KB 2014-05-26 Filip Mahieu

houtverkoop.zip 44.1 KB 2014-05-27 Filip Mahieu

FreezeLeft.PNG 284 KB 2014-05-27 Filip Mahieu

2024-03-13 6/6


